package com.jpsoft.shinestar.modules.base.dao;

import java.util.List;
import org.springframework.stereotype.Repository;
import com.jpsoft.shinestar.modules.base.entity.IconType;
import java.util.Map;
import com.jpsoft.shinestar.modules.common.dto.Sort;

@Repository
public interface IconTypeDAO {
	int insert(IconType entity);
	int update(IconType entity);
	int exist(String id);
	IconType get(String id);
	int delete(String id);
	List<IconType> list();
	List<IconType> search(Map<String, Object> searchParams, List<Sort> sortList);
}